function circular_moments(powers, samples)
if ~exist('powers','var')
    powers = 5;
end
if ~exist('samples','var')
    samples = 100;
end
x = linspace(-pi, pi, samples).';
p = [1:powers];
hold on
X = cos(x).^p;
Y = sin(x);
cm = jet(powers);
for i=1:powers
    plot(X(:,i),Y,'Color', cm(i,:))
end
legend("n=" + string(p));
axis equal
hold off